Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.dgmimpl
Class NumberNumberMultiply

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.NumberNumberMultiply

    class NumberNumberMultiply
    extends NumberNumberMetaMethod

Nested Class Summary
`class` | `NumberNumberMultiply.DoubleDouble`
`class` | `NumberNumberMultiply.DoubleFloat`
`class` | `NumberNumberMultiply.DoubleInteger`
`class` | `NumberNumberMultiply.DoubleLong`
`class` | `NumberNumberMultiply.FloatDouble`
`class` | `NumberNumberMultiply.FloatFloat`
`class` | `NumberNumberMultiply.FloatInteger`
`class` | `NumberNumberMultiply.FloatLong`
`class` | `NumberNumberMultiply.IntegerDouble`
`class` | `NumberNumberMultiply.IntegerFloat`
`class` | `NumberNumberMultiply.IntegerInteger`
`class` | `NumberNumberMultiply.IntegerLong`
`class` | `NumberNumberMultiply.LongDouble`
`class` | `NumberNumberMultiply.LongFloat`
`class` | `NumberNumberMultiply.LongInteger`
`class` | `NumberNumberMultiply.LongLong`
`class` | `NumberNumberMultiply.NumberNumber`

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`NumberNumberMultiply()`

Method Summary
`CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
`String` | `getName()`
`Object` | `invoke(Object object, Object[] arguments)`
`static Number` | `multiply(Number left, Number right)` Multiply two Numbers.

Methods inherited from class NumberNumberMetaMethod
getDeclaringClass, getModifiers, getReturnType

Methods inherited from class CallSiteAwareMetaMethod
createPojoCallSite

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### NumberNumberMultiply

    NumberNumberMultiply()

Method Detail

### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

### getName

    public String getName()

### invoke

    public Object invoke(Object object, Object[] arguments)

### multiply

    public static Number multiply(Number left, Number right)

  Multiply two Numbers.
  param:
    left a Number
  param:
    right another Number
  return:
    the multiplication of both

Copyright © 2003-2009 The Codehaus. All rights reserved.